<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h4 class="modal-title" id="myPaymentItemLabel" jhiTranslate="mpmApp.paymentItem.home.createOrEditLabel">Create or edit a Payment Item</h4>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true"
                (click)="clear()">&times;</button>
    </div>
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>
        <div class="form-group" [hidden]="!paymentItem.id">
            <label for="id" jhiTranslate="global.field.id">ID</label>
            <input type="text" class="form-control" id="id" name="id"
                   [(ngModel)]="paymentItem.id" readonly />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.paymentItem.idpaydet" for="field_idpaydet">Idpaydet</label>
            <input type="number" class="form-control" name="idpaydet" id="field_idpaydet"
                [(ngModel)]="paymentItem.idpaydet"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.paymentItem.idpay" for="field_idpay">Idpay</label>
            <input type="number" class="form-control" name="idpay" id="field_idpay"
                [(ngModel)]="paymentItem.idpay"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.paymentItem.idinvoice" for="field_idinvoice">Idinvoice</label>
            <input type="number" class="form-control" name="idinvoice" id="field_idinvoice"
                [(ngModel)]="paymentItem.idinvoice"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.paymentItem.invno" for="field_invno">Invno</label>
            <input type="text" class="form-control" name="invno" id="field_invno"
                [(ngModel)]="paymentItem.invno"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.paymentItem.totalpay" for="field_totalpay">Totalpay</label>
            <input type="number" class="form-control" name="totalpay" id="field_totalpay"
                [(ngModel)]="paymentItem.totalpay"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.paymentItem.invfrom" for="field_invfrom">Invfrom</label>
            <input type="text" class="form-control" name="invfrom" id="field_invfrom"
                [(ngModel)]="paymentItem.invfrom"  />
        </div>

    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal" (click)="clear()">
            <span class="fa fa-ban"></span>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
        </button>
        <button type="submit" [disabled]="editForm.form.invalid || isSaving" class="btn btn-primary">
            <span class="fa fa-save"></span>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
        </button>
    </div>
</form>
